Quantcast

[Tiki-devel] Help with library update - satis

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Tiki-devel] Help with library update - satis

Ricardo Melo
Hi guys,

I was trying to update the version of adodb (there is no support for the current and one file has a BOM character in the begin of the file), and I was following the instruction in:


I've commit the satis.json file with the new package to trunk several days ago but https://composer.tiki.org/ still don't show the package.

I'm I missing something? Help!

Thank you
Ricardo



------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
TikiWiki-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/tikiwiki-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Tiki-devel] Help with library update - satis

Victor Emanouilov

Hi Ricardo,

I think I responded to your satis.json change - you added a package but this is not needed - packages available on packagist are not required to be entered as packages in satis.json.

The problem you see is naming the packages. You see that satis.json requires adodb/adodb and you have added adodb/adodb-php which is never required by satis.json nor by composer.json. Maybe the package updated its name and we need to make necessary changes to our composer setup in order to get the new version?

Regards,
Victor


On 01/26/2017 03:16 AM, Ricardo Melo wrote:
Hi guys,

I was trying to update the version of adodb (there is no support for the current and one file has a BOM character in the begin of the file), and I was following the instruction in:


I've commit the satis.json file with the new package to trunk several days ago but https://composer.tiki.org/ still don't show the package.

I'm I missing something? Help!

Thank you
Ricardo




------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot


_______________________________________________
TikiWiki-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/tikiwiki-devel


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
TikiWiki-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/tikiwiki-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Tiki-devel] Help with library update - satis

Ricardo Melo
Thank you Victor,

Yes, I missed that completely. I wanted to have the package downloaded by composer.tiki.org before upgrading the adodb package in tiki. Lets see if it works now.

Thank you
Ricardo

On Thu, Jan 26, 2017 at 8:09 AM, Victor Emanouilov <[hidden email]> wrote:

Hi Ricardo,

I think I responded to your satis.json change - you added a package but this is not needed - packages available on packagist are not required to be entered as packages in satis.json.

The problem you see is naming the packages. You see that satis.json requires adodb/adodb and you have added adodb/adodb-php which is never required by satis.json nor by composer.json. Maybe the package updated its name and we need to make necessary changes to our composer setup in order to get the new version?

Regards,
Victor


On 01/26/2017 03:16 AM, Ricardo Melo wrote:
Hi guys,

I was trying to update the version of adodb (there is no support for the current and one file has a BOM character in the begin of the file), and I was following the instruction in:


I've commit the satis.json file with the new package to trunk several days ago but https://composer.tiki.org/ still don't show the package.

I'm I missing something? Help!

Thank you
Ricardo




------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot


_______________________________________________
TikiWiki-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/tikiwiki-devel


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
TikiWiki-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/tikiwiki-devel



------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
TikiWiki-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/tikiwiki-devel
Loading...